if [ -x /usr/bin/update-desktop-database ]; then
    /usr/bin/update-desktop-database -q usr/share/applications
fi

if [ -x /usr/bin/update-mime-database ]; then
    /usr/bin/update-mime-database usr/share/mime > /dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
    if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
    fi
fi

# Create ld-lsb symlink
( cd lib64
  if [ ! -e ld-lsb-x86-64.so.3 ]; then
    ln -sf ld-linux-x86-64.so.2 ld-lsb-x86-64.so.3
  fi
)

( cd opt/google/earth/pro ; rm -rf google-earth-pro )
( cd opt/google/earth/pro ; ln -sf /opt/google/earth/pro/googleearth google-earth-pro )
( cd usr/bin ; rm -rf google-earth-pro )
( cd usr/bin ; ln -sf /opt/google/earth/pro/googleearth google-earth-pro )
